# class Logger::Formatter

Default formatter for log messages.

### Constants

Format

### Attributes

datetime_format[RW]

### Public Class Methods

new() click to toggle source

    # File lib/logger.rb, line 592
    def initialize
      @datetime_format = nil
    end

### Public Instance Methods

call(severity, time, progname, msg) click to toggle source

    # File lib/logger.rb, line 596
    def call(severity, time, progname, msg)
      Format % [severity[0..0], format_datetime(time), $$, severity, progname,
        msg2str(msg)]
    end

### Private Instance Methods

format_datetime(time) click to toggle source

    # File lib/logger.rb, line 603
    def format_datetime(time)
      time.strftime(@datetime_format || "%Y-%m-%dT%H:%M:%S.%6N ".freeze)
    end

msg2str(msg) click to toggle source

    # File lib/logger.rb, line 607
    def msg2str(msg)
      case msg
      when ::String
        msg
      when ::Exception
        "#{ msg.message } (#{ msg.class })\n" <<
          (msg.backtrace || []).join("\n")
      else
        msg.inspect
      end
    end